SECTION = "extra"
DESCRIPTION = "mount UPnP Servers content as a Linux filesystem"
HOMEPAGE = "http://djmount.sourceforge.net/"
MAINTAINER = "3c5x9 <3c5x9 at gmx dot net"
LICENSE = "GPL"
DEPENDS = "libupnp fuse"
PR = "r0"

inherit autotools

EXTRA_OECONF = "--with-external-libupnp --with-fuse-prefix='/usr/lib/'"

SRC_URI = "${SOURCEFORGE_MIRROR}/djmount/djmount-0.71.tar.gz \
	file://init"


do_initscript() {
        install -d ${D}${sysconfdir}/init.d/
        install -m 755 ${WORKDIR}/init ${D}${sysconfdir}/init.d/djmount

        install -d ${D}${sysconfdir}/rc3.d/
 	ln -sf 		../init.d/djmount 	${D}${sysconfdir}/rc3.d/S30djmount
        
	install -d ${D}${sysconfdir}/rc4.d/
        ln -sf 		../init.d/djmount 	${D}${sysconfdir}/rc4.d/K30djmount 
         
}

addtask initscript after do_install before do_package

INITSCRIPT_NAME = "djmount"
 
INITSCRIPT_PARAMS = "defaults"

